
Ruby - Bug #10373

add RB_GC_GUARD in rb_mod_define_method() (r47891)

10/12/2014 01:46 PM - nagachika (Tomoyuki Chikanaga)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 2.2.0   

ruby -v: - Backport: 2.0.0: DONE, 2.1: DONE

Description

This ticket is for backport management.

r47891 added RB_GC_GUARD() in rb_mod_define_method() to protect method entry (VALUE body which can be derived from

rb_block_lambda()) from unexpected GC.

It seemsd ruby_2_1 and ruby_2_0_0 have similar potential problem.

Associated revisions

Revision 468854406c57b319c0067c8582900d76fd514e28 - 10/15/2014 07:16 AM - U.Nakamura 

merge revision(s) 47891: [Backport #10373]

    proc.c: method body GC guard

    * proc.c (rb_mod_define_method): guard method body to prevent its

 method entry from GC.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@47935 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 46885440 - 10/15/2014 07:16 AM - U.Nakamura 

merge revision(s) 47891: [Backport #10373]

    proc.c: method body GC guard

    * proc.c (rb_mod_define_method): guard method body to prevent its

 method entry from GC.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@47935 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 43979d409f663f142a9eb1319ed1285d2da29a8d - 10/15/2014 02:12 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) r47891: [Backport #10373]

    proc.c: method body GC guard

    * proc.c (rb_mod_define_method): guard method body to prevent its

 method entry from GC.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@47947 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 43979d40 - 10/15/2014 02:12 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) r47891: [Backport #10373]

    proc.c: method body GC guard

    * proc.c (rb_mod_define_method): guard method body to prevent its

 method entry from GC.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_1@47947 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History
#1 - 10/15/2014 07:16 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED to 2.0.0: DONE, 2.1: REQUIRED

Backported into ruby_2_0_0 at r47935.

#2 - 10/15/2014 02:12 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: DONE, 2.1: REQUIRED to 2.0.0: DONE, 2.1: DONE

Backported into ruby_2_1 at r47947.
